PostgreSQL 8.1.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER USER

## Name

ALTER USER -- change a database role

## Synopsis

    ALTER USER name [ [ WITH ] option [ ... ] ]

    where option can be:

          SUPERUSER | NOSUPERUSER
        | CREATEDB | NOCREATEDB
        | CREATEROLE | NOCREATEROLE
        | CREATEUSER | NOCREATEUSER
        | INHERIT | NOINHERIT
        | LOGIN | NOLOGIN
        | CONNECTION LIMIT connlimit
        | [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password'
        | VALID UNTIL 'timestamp'

    ALTER USER name RENAME TO newname

    ALTER USER name SET parameter { TO | = } { value | DEFAULT }
    ALTER USER name RESET parameter

## Description

`ALTER USER` is now an alias for ALTER ROLE, which see for more information.

## Compatibility

The `ALTER USER` statement is a PostgreSQL extension. The SQL standard leaves the definition of users to the implementation.

## See Also

ALTER ROLE

Prev | Home | Next
ALTER TYPE | Up | ANALYZE